diff -urN Original_4.4.4_r1/packages/apps/TestApp/src/com/test/touch/TouchActivity.java AndroidSource/packages/apps/TestApp/src/com/test/touch/TouchActivity.java
--- Original_4.4.4_r1/packages/apps/TestApp/src/com/test/touch/TouchActivity.java	1970-01-01 09:00:00.000000000 +0900
+++ AndroidSource/packages/apps/TestApp/src/com/test/touch/TouchActivity.java	2016-03-02 20:45:20.000000000 +0900
@@ -0,0 +1,217 @@
+package com.test.touch;
+
+import android.app.Activity;
+import android.app.Instrumentation;
+import android.content.Context;
+import android.os.Bundle;
+import android.os.SystemClock;
+import android.service.remote.RemoteServiceManager;
+import android.view.MotionEvent;
+import android.view.View;
+import android.view.View.OnClickListener;
+import android.view.WindowManager;
+import android.widget.Button;
+import android.widget.LinearLayout;
+
+import com.test.R;
+
+public class TouchActivity extends Activity
+{
+	Button btn;
+	Button btn2;
+	RemoteServiceManager rrm;
+	
+	@Override
+	protected void onCreate(Bundle savedInstanceState)
+	{
+	    super.onCreate(savedInstanceState);
+	    //setContentView(new SingleTouchEventView(this, null));
+	    setContentView(R.layout.activity_touch);
+	    
+	    getWindow().addFlags(WindowManager.LayoutParams.FLAG_KEEP_SCREEN_ON);
+	    
+	    
+	    LinearLayout parent = (LinearLayout)findViewById(R.id.parent);
+	    
+	    SingleTouchEventView v = new SingleTouchEventView(this, null);
+	    
+	    parent.addView(v);
+	    
+	    btn = (Button)findViewById(R.id.test_btn);
+	    rrm = (RemoteServiceManager)getSystemService(Context.REMOTE_SERVICE);
+	    
+	    btn.setOnClickListener(new OnClickListener()
+		{
+			
+			@Override
+			public void onClick(View v)
+			{
+				testHoldSwipe();
+				/*new Thread(new Runnable() {         
+			        @Override
+			        public void run() {*/
+			           /* try {
+			            Instrumentation inst = new Instrumentation();
+			            for ( int i = 0; i < 10; ++i ) {
+			                inst.sendKeyDownUpSync(KeyEvent.KEYCODE_MENU);
+			                Thread.sleep(2000);
+			                inst.sendKeyDownUpSync(KeyEvent.KEYCODE_BACK);
+			                Thread.sleep(2000);
+			            }
+			            }
+			            catch(InterruptedException e){
+			            }*/
+			       /* }   
+			    }).start();*/
+				/*float x = 300.0f;
+				float y = 200.0f;
+				int metaState = 0;
+				
+				MotionEvent motionEvent = MotionEvent.obtain(
+						SystemClock.uptimeMillis(), 
+						SystemClock.uptimeMillis()+100, 
+					    MotionEvent.ACTION_DOWN, 
+					    x, 
+					    y, 
+					    metaState
+					);
+				try {
+		            if (!InputManager.getInstance().injectInputEvent(motionEvent,
+		                    InputManager.INJECT_INPUT_EVENT_MODE_WAIT_FOR_RESULT)) {
+		                Log.d("TouchActivity!!", "FAIL!!!!!");
+		            }
+		        } finally {
+		        	motionEvent.recycle();
+		        }
+				
+				for(int i=0; i<20; i++)
+				{
+					Log.d("TouchActivity!!", "testOperation!");
+					MotionEvent motionEvent2 = MotionEvent.obtain(
+							SystemClock.uptimeMillis(), 
+							SystemClock.uptimeMillis()+100+i*100, 
+						    MotionEvent.ACTION_MOVE, 
+						    x+i*10, 
+						    y+i*10, 
+						    metaState
+						);
+					try {
+			            if (!InputManager.getInstance().injectInputEvent(motionEvent2,
+			                    InputManager.INJECT_INPUT_EVENT_MODE_WAIT_FOR_RESULT)) {
+			                Log.d("TouchActivity!!", "FAIL!!!!!");
+			            }
+			        } finally {
+			        	motionEvent2.recycle();
+			        }
+				}
+				
+				MotionEvent motionEvent3 = MotionEvent.obtain(
+						SystemClock.uptimeMillis(), 
+						SystemClock.uptimeMillis()+3000, 
+					    MotionEvent.ACTION_UP, 
+					    x+30, 
+					    y+30, 
+					    metaState
+					);
+				try {
+		            if (!InputManager.getInstance().injectInputEvent(motionEvent3,
+		                    InputManager.INJECT_INPUT_EVENT_MODE_WAIT_FOR_RESULT)) {
+		                Log.d("TouchActivity!!", "FAIL!!!!!");
+		            }
+		        } finally {
+		        	motionEvent3.recycle();
+		        }*/
+				
+			}
+		});
+	    
+	    btn2 = (Button)findViewById(R.id.test_btn2);
+	    btn2.setOnClickListener(new OnClickListener()
+		{
+			
+			@Override
+			public void onClick(View v)
+			{
+				rrm.testOperation();
+			}
+		});
+	}
+	
+	public void testHoldSwipe() {
+		long downTime = SystemClock.uptimeMillis();
+		// event time MUST be retrieved only by this way!
+		long eventTime = SystemClock.uptimeMillis();
+		Instrumentation inst = new Instrumentation();
+
+		// Just init your variables, or create your own coords logic :)
+		float xStart = 200;
+		float yStart = 200;
+		// simulating thick finger touch
+		float x0 = 205;
+		float y0 = 205;
+		float x1 = 205;
+		float y1 = 208;
+		float x2 = 235;
+		float y2 = 215;
+		// move finger to bottom and right
+		// increment previous coords
+		float x3 = 245;
+		float y3 = 255;
+		float x4 = 247;
+		float y4 = 275;
+		float x5 = 252;
+		float y5 = 300;
+		// proceed one more movement to bottom and left
+		float x6 = 230;
+		float y6 = 320;
+		float x7 = 200;
+		float y7 = 357;
+		float x8 = 180;
+		float y8 = 380;
+		float x9 = 160;
+		float y9 = 400;
+		// release finger, logically to use coords from last movent
+		float x10 = 160;
+		float y10 = 400;
+
+		try {
+		// sending event - finger touched the screen
+		MotionEvent event = MotionEvent.obtain(downTime, eventTime, MotionEvent.ACTION_DOWN, xStart, yStart, 0);
+		inst.sendPointerSync(event);
+		// sending events - finger is moving over the screen
+		eventTime = SystemClock.uptimeMillis();
+		event = MotionEvent.obtain(downTime, eventTime, MotionEvent.ACTION_MOVE, x0, y0, 0);
+		inst.sendPointerSync(event);
+		event = MotionEvent.obtain(downTime, eventTime, MotionEvent.ACTION_MOVE, x1, y1, 0);
+		inst.sendPointerSync(event);
+		event = MotionEvent.obtain(downTime, eventTime, MotionEvent.ACTION_MOVE, x2, y2, 0);
+		inst.sendPointerSync(event);
+		// simulating pause by incrementing eventTime with 1 second
+		// finger is still touching the screen
+		eventTime = SystemClock.uptimeMillis() + 1000;
+		// moving finger across the screen
+		event = MotionEvent.obtain(downTime, eventTime, MotionEvent.ACTION_MOVE, x3, y3, 0);
+		inst.sendPointerSync(event);
+		event = MotionEvent.obtain(downTime, eventTime, MotionEvent.ACTION_MOVE, x4, y4, 0);
+		inst.sendPointerSync(event);
+		event = MotionEvent.obtain(downTime, eventTime, MotionEvent.ACTION_MOVE, x5, y5, 0);
+		inst.sendPointerSync(event);
+		event = MotionEvent.obtain(downTime, eventTime, MotionEvent.ACTION_UP, x6, y6, 0);
+		// simulating one more pause
+		eventTime = SystemClock.uptimeMillis() + 1000;
+		// moving finger again
+		event = MotionEvent.obtain(downTime, eventTime, MotionEvent.ACTION_MOVE, x7, y7, 0);
+		inst.sendPointerSync(event);
+		event = MotionEvent.obtain(downTime, eventTime, MotionEvent.ACTION_MOVE, x8, y8, 0);
+		inst.sendPointerSync(event);
+		event = MotionEvent.obtain(downTime, eventTime, MotionEvent.ACTION_MOVE, x9, y9, 0);
+		inst.sendPointerSync(event);
+		// release finger, gesture is finished
+		event = MotionEvent.obtain(downTime, eventTime, MotionEvent.ACTION_UP, x10, y10, 0);
+		inst.sendPointerSync(event);
+
+		} catch (Exception ignored) {
+		// Handle exceptions if necessary
+		}
+		}
+}
diff -urN Original_4.4.4_r1/packages/apps/TugOfWar/.classpath AndroidSource/packages/apps/TugOfWar/.classpath
--- Original_4.4.4_r1/packages/apps/TugOfWar/.classpath	1970-01-01 09:00:00.000000000 +0900
+++ AndroidSource/packages/apps/TugOfWar/.classpath	2015-12-07 16:25:28.000000000 +0900
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+	<classpathentry combineaccessrules="false" exported="true" kind="src" path="/AndroidSource"/>
+	<classpathentry kind="con" path="com.android.ide.eclipse.adt.ANDROID_FRAMEWORK"/>
+	<classpathentry exported="true" kind="con" path="com.android.ide.eclipse.adt.LIBRARIES"/>
+	<classpathentry exported="true" kind="con" path="com.android.ide.eclipse.adt.DEPENDENCIES"/>
+	<classpathentry kind="src" path="src"/>
+	<classpathentry kind="src" path="gen"/>
+	<classpathentry kind="output" path="bin/classes"/>
+</classpath>
diff -urN Original_4.4.4_r1/packages/apps/TugOfWar/.project AndroidSource/packages/apps/TugOfWar/.project
--- Original_4.4.4_r1/packages/apps/TugOfWar/.project	1970-01-01 09:00:00.000000000 +0900
+++ AndroidSource/packages/apps/TugOfWar/.project	2015-12-07 16:08:22.000000000 +0900
@@ -0,0 +1,33 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>TugOfWar</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>com.android.ide.eclipse.adt.ResourceManagerBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>com.android.ide.eclipse.adt.PreCompilerBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.jdt.core.javabuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>com.android.ide.eclipse.adt.ApkBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>com.android.ide.eclipse.adt.AndroidNature</nature>
+		<nature>org.eclipse.jdt.core.javanature</nature>
+	</natures>
+</projectDescription>
diff -urN Original_4.4.4_r1/packages/apps/TugOfWar/src/com/dcslab/tugofwar/CharacterImage.java AndroidSource/packages/apps/TugOfWar/src/com/dcslab/tugofwar/CharacterImage.java
--- Original_4.4.4_r1/packages/apps/TugOfWar/src/com/dcslab/tugofwar/CharacterImage.java	1970-01-01 09:00:00.000000000 +0900
+++ AndroidSource/packages/apps/TugOfWar/src/com/dcslab/tugofwar/CharacterImage.java	2015-12-07 16:14:20.000000000 +0900
@@ -0,0 +1,104 @@
+package com.dcslab.tugofwar;
+
+import android.graphics.Typeface;
+import android.util.Log;
+import android.view.View;
+import android.widget.ImageView;
+import android.widget.TextView;
+
+/**
+ * Created by adagietto on 2015-12-01.
+ */
+public class CharacterImage {
+
+    private ImageView c;
+    private int resource1;
+    private int resource2;
+
+    private float[] teamNameLoc;
+    private float[] memNameLoc;
+
+    TextView teamText1;
+    TextView teamText2;
+    TextView memText1;
+    TextView memText2;
+    TextView memText3;
+    TextView memText4;
+
+    Typeface tf;
+
+    private int toggle=0;
+
+    public CharacterImage(ImageView c, int resource1, int resource2,TextView teamText1, TextView memText1, TextView memText2, TextView teamText2, TextView memText3, TextView memText4)
+    {
+        this.c = c;
+        this.resource1 = resource1;
+        this.resource2 = resource2;
+
+        this.teamText1 = teamText1;
+        this.teamText2 = teamText2;
+        this.memText1 = memText1;
+        this.memText2 = memText2;
+        this.memText3 = memText3;
+        this.memText4 = memText4;
+
+        this.c.setImageResource(resource1);
+
+
+        //c.setTranslationX(0);
+
+    }
+    public void setTypeface(Typeface tf)
+    {
+        this.tf = tf;
+    }
+
+    public void setTeamInfo(int team, String teamName, String memName1, String memName2)
+    {
+        if(team==1)
+        {
+            teamText1.setText(teamName);
+            memText1.setText(memName1);
+            memText2.setText(memName2);
+        }
+        else
+        {
+            teamText2.setText(teamName);
+            memText3.setText(memName1);
+            memText4.setText(memName2);
+        }
+    }
+
+    private void textMoveX(float value)
+    {
+        teamText1.setTranslationX(teamText1.getTranslationX()+value);
+        teamText2.setTranslationX(teamText2.getTranslationX()+value);
+        memText1.setTranslationX(memText1.getTranslationX()+value);
+        memText2.setTranslationX(memText2.getTranslationX()+value);
+        memText3.setTranslationX(memText3.getTranslationX()+value);
+        memText4.setTranslationX(memText4.getTranslationX()+value);
+
+    }
+
+
+    public void moveX(float value)
+    {
+        c.setTranslationX(c.getTranslationX()+value);
+        this.textMoveX(value);
+        toggleView();
+    }
+
+    private void toggleView()
+    {
+        if(toggle==0)
+        {
+            c.setImageResource(resource2);
+            toggle =1;
+        }
+        else
+        {
+            c.setImageResource(resource1);
+            toggle =0;
+        }
+    }
+}
diff -urN Original_4.4.4_r1/packages/apps/TugOfWar/src/com/dcslab/tugofwar/MainActivity.java AndroidSource/packages/apps/TugOfWar/src/com/dcslab/tugofwar/MainActivity.java
--- Original_4.4.4_r1/packages/apps/TugOfWar/src/com/dcslab/tugofwar/MainActivity.java	1970-01-01 09:00:00.000000000 +0900
+++ AndroidSource/packages/apps/TugOfWar/src/com/dcslab/tugofwar/MainActivity.java	2015-12-18 14:52:08.000000000 +0900
@@ -0,0 +1,184 @@
+
+package com.dcslab.tugofwar;
+
+import android.app.Activity;
+import android.app.AlertDialog;
+import android.content.DialogInterface;
+import android.graphics.Point;
+import android.graphics.Typeface;
+import android.hardware.Sensor;
+import android.hardware.SensorManager;
+import android.os.Bundle;
+import android.os.CountDownTimer;
+import android.util.Log;
+import android.view.Display;
+import android.view.MotionEvent;
+import android.view.View;
+import android.view.ViewGroup;
+import android.view.Window;
+import android.view.WindowManager;
+import android.widget.ImageView;
+import android.widget.TextView;
+
+public class MainActivity extends Activity implements View.OnTouchListener {
+
+    private long lastTime = 0;
+    private float speed;
+    private float lastX, lastY, lastZ;
+    private float x, y, z;
+    int displayWidth, displayHeight;
+    private int totalAmount = 0;
+    Display display;
+
+    private AlertDialog.Builder builder;
+    private AlertDialog ad;
+    CharacterImage group1;
+    private ViewGroup container;
+    // private TextView teamName1, teamName2;
+
+    private static float WIN_THRESHOLD = 270;
+    private static final int SHAKE_THRESHOLD = 800;
+    private static final int MOVE_AMOUNT = 10;
+
+    private CountDownTimer cdt;
+
+    Typeface tf;
+
+    @Override
+    protected void onCreate(Bundle savedInstanceState) {
+        super.onCreate(savedInstanceState);
+        this.requestWindowFeature(Window.FEATURE_NO_TITLE);
+        getWindow().setFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN,
+                WindowManager.LayoutParams.FLAG_FULLSCREEN);
+        setContentView(R.layout.activity_main);
+
+        display = getWindowManager().getDefaultDisplay();
+        Point size = new Point();
+        display.getSize(size);
+        displayWidth = size.x;
+
+        WIN_THRESHOLD = (float) (displayWidth - 100) / 8.4F;
+
+        tf = Typeface.createFromAsset(getAssets(), "oj.ttf");
+        ((TextView) findViewById(R.id.teamName1)).setTypeface(tf);
+        ((TextView) findViewById(R.id.teamName2)).setTypeface(tf);
+
+        tf = Typeface.createFromAsset(getAssets(), "KrabbyPatty.ttf");
+        ((TextView) findViewById(R.id.memName1)).setTypeface(tf);
+        ((TextView) findViewById(R.id.memName2)).setTypeface(tf);
+        ((TextView) findViewById(R.id.memName3)).setTypeface(tf);
+        ((TextView) findViewById(R.id.memName4)).setTypeface(tf);
+
+        tf = Typeface.createFromAsset(getAssets(), "KeepCalm-Medium.ttf");
+        ((TextView) findViewById(R.id.timer)).setTypeface(tf);
+        // group1.setTypeface(tp);
+
+        Log.d("width", displayWidth + "");
+
+        displayHeight = size.y;
+
+         group1 = new
+         CharacterImage((ImageView)findViewById(R.id.group1),R.drawable.group1,R.drawable.group2,(TextView)findViewById(R.id.teamName1),(TextView)findViewById(R.id.memName1)
+         ,(TextView)findViewById(R.id.memName2),(TextView)findViewById(R.id.teamName2),(TextView)findViewById(R.id.memName3),(TextView)findViewById(R.id.memName4));
+
+//        group1 = new CharacterImage((ImageView) findViewById(R.id.group1), R.drawable.ic_launcher,
+//                R.drawable.ic_launcher, (TextView) findViewById(R.id.teamName1),
+//                (TextView) findViewById(R.id.memName1)
+//                , (TextView) findViewById(R.id.memName2), (TextView) findViewById(R.id.teamName2),
+//                (TextView) findViewById(R.id.memName3), (TextView) findViewById(R.id.memName4));
+
+        group1.setTeamInfo(1, "TEAM 1", "JAY", "DAVE");
+        group1.setTeamInfo(2, "TEAM 2", "JAKE", "ANNA");
+
+        builder = new AlertDialog.Builder(this);
+        container = (ViewGroup) findViewById(R.id.container);
+        container.setOnTouchListener(this);
+
+        createGameEndDialog();
+
+        startTimer();
+
+    }
+
+    @Override
+    public void onBackPressed()
+    {
+        return;
+    }
+
+    private void startTimer() {
+
+        cdt = new CountDownTimer(30000, 1000) {
+            TextView timer = (TextView) findViewById(R.id.timer);
+
+            public void onTick(long millisUntilFinished) {
+                timer.setText("" + millisUntilFinished / 1000);
+            }
+
+            public void onFinish() {
+                timer.setText("0");
+                String msg;
+                if (totalAmount > 0)
+                {
+                    msg = "TEAM2 WIN!";
+                    Log.d("result", "2P WIN");
+                }
+
+                else {
+                    msg = "TEAM1 WIN!";
+                    Log.d("result", "1P WIN");
+                }
+
+                ad.setTitle(msg);
+                ad.show();
+
+            }
+        }.start();
+    }
+
+    private void createGameEndDialog() {
+        ad = builder.setTitle("게임 종료")
+                .setNeutralButton("CHECK", new DialogInterface.OnClickListener() {
+                    @Override
+                    public void onClick(DialogInterface dialog, int which) {
+                        group1.moveX(totalAmount * -1);
+                        totalAmount = 0;
+                        startTimer();
+                    }
+                }).create();
+        ad.setCanceledOnTouchOutside(false);
+        ad.setCancelable(false);
+    }
+
+    @Override
+    public boolean onTouch(View v, MotionEvent event) {
+
+        int action = event.getAction();
+        if (action == MotionEvent.ACTION_DOWN && !ad.isShowing())
+        {
+            /*
+             * if(Math.abs(totalAmount) > WIN_THRESHOLD ) { String msg;
+             * if(totalAmount>0) { msg = "2P WIN!"; Log.d("result", "2P WIN"); }
+             * else { msg = "1P WIN!"; Log.d("result", "1P WIN"); }
+             * ad.setTitle(msg); ad.show(); } else
+             */
+            {
+                int temp;
+
+                /*
+                 * if(event.getX()<(displayWidth/2)) temp = -1; else temp = 1;
+                 */
+
+                if (event.getSourceDevice() == 1 || event.getSourceDevice() == 3)
+                    temp = -1;
+                else
+                    temp = 1;
+
+                totalAmount = totalAmount + (MOVE_AMOUNT * temp);
+                group1.moveX(MOVE_AMOUNT * temp);
+            }
+        }
+
+        return false;
+    }
+}
diff -urN Original_4.4.4_r1/packages/apps/TugOfWar/src/com/dcslab/tugofwar/StartActivity.java AndroidSource/packages/apps/TugOfWar/src/com/dcslab/tugofwar/StartActivity.java
--- Original_4.4.4_r1/packages/apps/TugOfWar/src/com/dcslab/tugofwar/StartActivity.java	1970-01-01 09:00:00.000000000 +0900
+++ AndroidSource/packages/apps/TugOfWar/src/com/dcslab/tugofwar/StartActivity.java	2016-06-23 19:48:50.083024429 +0900
@@ -0,0 +1,80 @@
+package com.dcslab.tugofwar;
+
+import android.app.Activity;
+import android.content.Context;
+import android.content.Intent;
+import android.graphics.Typeface;
+import android.os.Bundle;
+import android.os.CountDownTimer;
+import android.os.ServiceManager;
+import android.service.remote.IRemoteService;
+import android.service.remote.RemoteRequest;
+import android.service.remote.RemoteServiceManager;
+import android.view.View;
+import android.view.Window;
+import android.view.WindowManager;
+import android.view.animation.AlphaAnimation;
+import android.view.animation.Animation;
+import android.widget.TextView;
+import android.util.Log;
+
+import java.util.ArrayList;
+
+public class StartActivity extends Activity {
+
+    @Override
+    protected void onCreate(Bundle savedInstanceState) {
+        super.onCreate(savedInstanceState);
+        this.requestWindowFeature(Window.FEATURE_NO_TITLE);
+        getWindow().setFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN,
+                WindowManager.LayoutParams.FLAG_FULLSCREEN);
+        setContentView(R.layout.activity_start);
+
+        final RemoteServiceManager mService = (RemoteServiceManager) getSystemService(Context.REMOTE_SERVICE); 
+        
+
+        final TextView startButton = (TextView)findViewById(R.id.startButton);
+        TextView gameTitle = (TextView)findViewById(R.id.gameTitle);
+        TextView countDown = (TextView)findViewById(R.id.countDown);
+
+        gameTitle.setTypeface(Typeface.createFromAsset(getAssets(),"oj.ttf"));
+        startButton.setTypeface(Typeface.createFromAsset(getAssets(),"KeepCalm-Medium.ttf"));
+        countDown.setTypeface(Typeface.createFromAsset(getAssets(),"KeepCalm-Medium.ttf"));
+
+        Animation blink = new AlphaAnimation(0.0f, 1.0f);
+        blink.setDuration(500);
+        blink.setStartOffset(20);
+        blink.setRepeatCount(Animation.INFINITE);
+        blink.setRepeatMode(Animation.REVERSE);
+
+        startButton.setAnimation(blink);
+
+        startButton.setOnClickListener(new View.OnClickListener() {
+            @Override
+            public void onClick(View v) {
+                startButton.setText("");
+                Log.d("AAAA", "clicked start");
+                try{
+                    mService.sendAllrequest(new RemoteRequest("request", "dummyApp", new ArrayList<Object>()));;
+                } catch(Exception e){
+                    e.printStackTrace();
+                }
+                new CountDownTimer(3900, 1000) {
+                    TextView timer = (TextView)findViewById(R.id.countDown);
+
+                    public void onTick(long millisUntilFinished) {
+                        timer.setText(""+millisUntilFinished / 1000);
+                    }
+
+                    public void onFinish() {
+
+                        Intent intent = new Intent(StartActivity.this, MainActivity.class);
+                        startActivity(intent);
+                    }
+                }.start();
+            }
+        });
+
+    }
+
+}
